Bug Hunting Session
Bug 83626 - Document scrolling automatically when opening find toolbar
Summary: Document scrolling automatically when opening find toolbar
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3 Daily
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest
Depends on:
Blocks:
 
Reported: 2014-09-08 19:55 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-17 08:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (1.47 MB, video/webm)
2014-11-15 14:39 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-08 19:55:51 UTC
Steps:
1) Open a document in writer
2) Open find toolbar with ctrl+f
3) Click the 'Next Element' button to jump to the second page
4) Do not move the mouse from above the clicked button
5) Press ctrl+f twice in order to close the toolbar
6) Press ctrl+f once to re-open the toolbar
7) Document will jump pages as if the button was being pressed

Tested with 4.3.2 and master on Linux.
Comment 1 A (Andy) 2014-10-15 20:53:12 UTC
for me not reproducible with LO 4.3.2.2 (Win 8.1)

Is this maybe a Linux only issue?
Comment 2 Yousuf Philips (jay) (retired) 2014-10-17 10:34:39 UTC
Yes it seems to only effect Linux. Also it now only effects 4.3, as master no longer closes the toolbar with step 5.
Comment 3 Buovjaga 2014-11-15 08:52:13 UTC
Unable to repro. 4.3 works ok and doesn't scroll.

Ubuntu 14.10 64-bit
Version: 4.3.3.2
Build ID: 430m0(Build:2)
Comment 4 Yousuf Philips (jay) (retired) 2014-11-15 14:39:55 UTC
Created attachment 109523 [details]
screencast

Still available in 4.3 daily.

Version: 4.3.4.0.0+
Build ID: 81e4dbe1adf196ee20f1a4bfbc50b54abfc79f4b
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-3, Time: 2014-10-27_14:09:41
Comment 5 tommy27 2015-01-10 14:00:42 UTC
@Jay
what about 4.3.5.2?
Comment 6 Yousuf Philips (jay) (retired) 2015-01-10 20:08:00 UTC
Still there. So this behaviour only effect the 4.3 branch since the buttons where moved to its new location - https://wiki.documentfoundation.org/ReleaseNotes/4.3#Moved_Navigation_buttons

Version: 4.3.6.0.0+
Build ID: ddcf6367240d564e7daf4078e0a4caf0adde9043
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-3, Time: 2014-12-12_16:47:22
Comment 7 Yousuf Philips (jay) (retired) 2015-01-10 20:12:28 UTC
Confirmed it also happens on Linux Mint 17 XFCE (based on Ubuntu 14.04) with 4.3.5.2.
Comment 8 Robinson Tryon (qubit) 2015-02-26 20:24:35 UTC
(In reply to Jay Philips from comment #2)
> Yes it seems to only effect Linux. Also it now only effects 4.3, as master
> no longer closes the toolbar with step 5.

Sooooooooo if that's the case, can we mark this as FIXED in 4.5 (and 4.4?) and tag it as a potential backport to 4.3?
Comment 9 Yousuf Philips (jay) (retired) 2015-02-26 21:37:11 UTC
Yes a backporting of the fix, if possible, would be the simplest thing.
Comment 10 Robinson Tryon (qubit) 2015-02-26 21:47:22 UTC
(In reply to Robinson Tryon (qubit) from comment #8)
> Sooooooooo if that's the case, can we mark this as FIXED in 4.5 (and 4.4?)
> and tag it as a potential backport to 4.3?

(In reply to Jay Philips from comment #9)
> Yes a backporting of the fix, if possible, would be the simplest thing.

Okay:
Status -> RESOLVED WORKSFORME
Whiteboard -> bibisectRequest backportRequest:4.3
Comment 11 Michael Stahl (CIB) 2015-09-15 15:50:21 UTC
4.3 is EOL, removing "backportrequest"
Comment 12 Robinson Tryon (qubit) 2015-12-17 08:35:07 UTC
Migrating Whiteboard tags to Keywords: (bibisectRequest)
[NinjaEdit]